Browse Source

Update tiller to be compatible with latest Armada

Change-Id: If5d2527240948c0628dfbb76b658f7ad05395ab5
Mark Burnett 9 months ago
parent
commit
7797aadb8b

+ 1
- 1
examples/basic/Genesis.yaml View File

@@ -32,7 +32,7 @@ data:
32 32
   images:
33 33
     armada: quay.io/airshipit/armada:master
34 34
     helm:
35
-      tiller: gcr.io/kubernetes-helm/tiller:v2.7.2
35
+      tiller: gcr.io/kubernetes-helm/tiller:v2.9.1
36 36
     kubernetes:
37 37
       apiserver: gcr.io/google_containers/hyperkube-amd64:v1.10.2
38 38
       controller-manager: gcr.io/google_containers/hyperkube-amd64:v1.10.2

+ 1
- 1
examples/basic/armada-resources.yaml View File

@@ -1151,7 +1151,7 @@ data:
1151 1151
   values:
1152 1152
     images:
1153 1153
       tags:
1154
-        tiller: gcr.io/kubernetes-helm/tiller:v2.7.2
1154
+        tiller: gcr.io/kubernetes-helm/tiller:v2.9.1
1155 1155
     labels:
1156 1156
       node_selector_key: ucp-control-plane
1157 1157
       node_selector_value: enabled

+ 1
- 1
examples/complete/Genesis.yaml View File

@@ -30,7 +30,7 @@ data:
30 30
   images:
31 31
     armada: quay.io/airshipit/armada:master
32 32
     helm:
33
-      tiller: gcr.io/kubernetes-helm/tiller:v2.7.2
33
+      tiller: gcr.io/kubernetes-helm/tiller:v2.9.1
34 34
     kubernetes:
35 35
       apiserver: gcr.io/google_containers/hyperkube-amd64:v1.10.2
36 36
       controller-manager: gcr.io/google_containers/hyperkube-amd64:v1.10.2

+ 1
- 1
examples/complete/armada-resources.yaml View File

@@ -1687,7 +1687,7 @@ data:
1687 1687
   values:
1688 1688
     images:
1689 1689
       tags:
1690
-        tiller: gcr.io/kubernetes-helm/tiller:v2.7.2
1690
+        tiller: gcr.io/kubernetes-helm/tiller:v2.9.1
1691 1691
     labels:
1692 1692
       node_selector_key: ucp-control-plane
1693 1693
       node_selector_value: enabled

+ 1
- 1
tools/gate/default-config-env View File

@@ -9,5 +9,5 @@ IMAGE_ETCD=quay.io/coreos/etcd:v3.2.14
9 9
 IMAGE_HAPROXY=haproxy:1.8.3
10 10
 IMAGE_HELM=lachlanevenson/k8s-helm:v2.7.2
11 11
 IMAGE_HYPERKUBE=gcr.io/google_containers/hyperkube-amd64:v1.10.2
12
-IMAGE_TILLER=gcr.io/kubernetes-helm/tiller:v2.7.2
12
+IMAGE_TILLER=gcr.io/kubernetes-helm/tiller:v2.9.1
13 13
 KUBELET_URL=https://dl.k8s.io/v1.10.2/kubernetes-node-linux-amd64.tar.gz

Loading…
Cancel
Save